package com.iamberry.wechat.core.entity.game;

import java.io.Serializable;

/**
 * 创建游戏奖品信息实体类dto
 * @author 刘志伟
 *
 */
public class GamePrizeDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6467774464989770236L;
	
	private String prizeName;				//奖品名称
	
	private Integer prizeNum;				//奖品数量
	
	private Integer prizeProbability;		//中奖概率
	
	private String prizeDesc;					//奖品简介
	
	private Integer prizeLevel;				//中奖等级 1：第一等奖；2：第二等奖；3：第三等奖
	
	private String prizeImage;				//产品图片
	
	private double prizePrice;				//产品价格
	
	private Integer prizeGameId;			//gameId
	
	private Integer prizeType;				//中奖后的操作 1:中奖后及时同步；2:其他
	
	private double prizeWinningNum;	//中奖奖励的积分数量
	
	private Integer prizeWinningType;	//中奖奖励类型 1:积分；2:其他
	
	private Integer prizeId;				// 奖品id
	
	public Integer getPrizeId() {
		return prizeId;
	}

	public void setPrizeId(Integer prizeId) {
		this.prizeId = prizeId;
	}

	public String getPrizeName() {
		return prizeName;
	}

	public void setPrizeName(String prizeName) {
		this.prizeName = prizeName;
	}

	public Integer getPrizeNum() {
		return prizeNum;
	}

	public void setPrizeNum(Integer prizeNum) {
		this.prizeNum = prizeNum;
	}

	public Integer getPrizeProbability() {
		return prizeProbability;
	}

	public void setPrizeProbability(Integer prizeProbability) {
		this.prizeProbability = prizeProbability;
	}

	public String getPrizeDesc() {
		return prizeDesc;
	}

	public void setPrizeDesc(String prizeDesc) {
		this.prizeDesc = prizeDesc;
	}

	public Integer getPrizeLevel() {
		return prizeLevel;
	}

	public void setPrizeLevel(Integer prizeLevel) {
		this.prizeLevel = prizeLevel;
	}

	public String getPrizeImage() {
		return prizeImage;
	}

	public void setPrizeImage(String prizeImage) {
		this.prizeImage = prizeImage;
	}

	public double getPrizePrice() {
		return prizePrice;
	}

	public void setPrizePrice(double prizePrice) {
		this.prizePrice = prizePrice;
	}

	public Integer getPrizeGameId() {
		return prizeGameId;
	}

	public void setPrizeGameId(Integer prizeGameId) {
		this.prizeGameId = prizeGameId;
	}

	public Integer getPrizeType() {
		return prizeType;
	}

	public void setPrizeType(Integer prizeType) {
		this.prizeType = prizeType;
	}

	public double getPrizeWinningNum() {
		return prizeWinningNum;
	}

	public void setPrizeWinningNum(double prizeWinningNum) {
		this.prizeWinningNum = prizeWinningNum;
	}

	public Integer getPrizeWinningType() {
		return prizeWinningType;
	}

	public void setPrizeWinningType(Integer prizeWinningType) {
		this.prizeWinningType = prizeWinningType;
	}
	

}
